import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsTemplateNginx } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-09 10:42
 */
interface DevopsTemplateNginxCU extends ConditionUtil<DevopsTemplateNginxCU> {
    ID: FieldUtil<DevopsTemplateNginxCU>;
    TEMPLATE_ID: FieldUtil<DevopsTemplateNginxCU>;
    ENABLED: FieldUtil<DevopsTemplateNginxCU>;
    CREATE_TIME: FieldUtil<DevopsTemplateNginxCU>;
    UPDATE_TIME: FieldUtil<DevopsTemplateNginxCU>;
    HOST_INSTANCE_ID: FieldUtil<DevopsTemplateNginxCU>;
}
declare class DevopsTemplateNginxMU extends TableUtilImpl<DevopsTemplateNginxCU, DevopsTemplateNginx> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsTemplateNginxCU;
    static get ID(): FieldUtil<DevopsTemplateNginxCU>;
    static get TEMPLATE_ID(): FieldUtil<DevopsTemplateNginxCU>;
    static get ENABLED(): FieldUtil<DevopsTemplateNginxCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTemplateNginxCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTemplateNginxCU>;
    static get HOST_INSTANCE_ID(): FieldUtil<DevopsTemplateNginxCU>;
    static get IP(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    static get BUSINESS_AREA(): FieldInfo;
    get ID(): FieldUtil<DevopsTemplateNginxCU>;
    get TEMPLATE_ID(): FieldUtil<DevopsTemplateNginxCU>;
    get ENABLED(): FieldUtil<DevopsTemplateNginxCU>;
    get CREATE_TIME(): FieldUtil<DevopsTemplateNginxCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTemplateNginxCU>;
    get HOST_INSTANCE_ID(): FieldUtil<DevopsTemplateNginxCU>;
    get IP(): FieldInfo;
    get INSTANCE_NAME(): FieldInfo;
    get BUSINESS_AREA(): FieldInfo;
}
export { DevopsTemplateNginxMU, DevopsTemplateNginxCU };
